Package org.apache.sling.commons.testing.jcr

# Class RepositoryTestBase

java.lang.Object
junit.framework.Assert
junit.framework.TestCase
org.apache.sling.commons.testing.jcr.RepositoryTestBase

All Implemented Interfaces:
  `junit.framework.Test`

public class RepositoryTestBase extends junit.framework.TestCase
Base class for JUnit3-style tests which need a Repository. Should eventually be deprecated in favor of `RepositoryProvider` which is less intrusive

## Field Summary

Fields
Modifier and Type
Field
Description
`protected javax.jcr.Session`
`session`
`protected javax.jcr.Node`
`testRoot`

## Constructor Summary

Constructors
Constructor
Description
`RepositoryTestBase()`

## Method Summary

Modifier and Type
Method
Description
`protected org.apache.sling.jcr.api.SlingRepository`
`getRepository()`
Return a Repository
`protected javax.jcr.Session`
`getSession()`
Return a JCR Session, initialized on demand
`protected javax.jcr.Node`
`getTestRootNode()`
Return a test root node, created on demand, with a unique path
`protected void`
`tearDown()`

### Methods inherited from class junit.framework.TestCase

`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, countTestCases, createResult, fail, fail, failNotEquals, failNotSame, failSame, format, getName, run, run, runBare, runTest, setName, setUp, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### testRoot

protected javax.jcr.Node testRoot

### session

protected javax.jcr.Session session

## Constructor Details

### RepositoryTestBase

public RepositoryTestBase()

## Method Details

### tearDown

protected void tearDown() throws Exception

Overrides:
  `tearDown` in class `junit.framework.TestCase`
Throws:
  `Exception`

### getSession

protected javax.jcr.Session getSession() throws javax.jcr.RepositoryException, NamingException
Return a JCR Session, initialized on demand

Throws:
  `javax.jcr.RepositoryException`
  `NamingException`

### getTestRootNode

protected javax.jcr.Node getTestRootNode() throws javax.jcr.RepositoryException, NamingException
Return a test root node, created on demand, with a unique path

Throws:
  `javax.jcr.RepositoryException`
  `NamingException`

### getRepository

protected org.apache.sling.jcr.api.SlingRepository getRepository() throws javax.jcr.RepositoryException, NamingException
Return a Repository

Throws:
  `javax.jcr.RepositoryException`
  `NamingException`